Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Visibility of a polyline starting point

Hi there, coming from AutoCAD LT I've got a question about drawing a polyline. Is there a way to show a marker where you started the polyline? In AutoCAD there is a little cross at the start of a polyline. Especially when drawing a polyline you want to close correctly and that overlaps segments of another line on the same layer, it is impossible to notice where you started it.

Thanks in advance for the help!

Comments

  • edited March 25

    I think that is a very good idea.

    I never had that in any CAD before.
    And always had to try to remember where my start point was when
    closing a complicated Polyline over a crowded drawing.
    Now that you said - I need that Indicator too.

    Beside that,
    when drawing a Polyline and finally ending by clicking on the start point again,
    Bricscad does not close the Polygon automatically, as I was used everywhere
    else. It just creates an extra Vertex and leaves the Polyline un-closed.
    You have to actively, tediously close it manually by pressing C+ENTER.

    Does it work for you in the same way in Autocad LT ?

  • edited March 26

    You could make a custom version of the Pline command, something like this:

    ; Draw a polyline while the start point is marked by a fat circle
    ; The circle is only fat if LWDISPLAY = ON
    (defun c:PlineStartPoint ( / p1 rad1 circ1)
    (setq p1 (getpoint " Start point of pline: "))
    (setq rad1 (/ (getvar "viewsize") 100))
    (command "circle" p1 rad1)
    (setq circ1 (entlast))
    (command "chprop" circ1 "" "layer" "Defpoints" "color" 30 "lweight" "1.06" "")
    (command "pline" p1)
    (while (> (getvar "cmdactive") 0) (command pause))
    (command "erase" circ1 "") ;remove this if you want to keep the circle
    ; or end the command by Esc instead of Enter
    )
    lsp
    lsp
    PlineStartPoint.lsp
    568B
  • @Michael Mayer said:
    ..... You have to actively, tediously close it manually by pressing C+ENTER.

    Anything that's tedious can be automated.

    ; Draw a polyline and automatically close it
    (defun c:PlineC ( / e1)
    (command "pline")
    (while (> (getvar "cmdactive") 0) (command pause))
    (setq e1 (entlast))
    (command "pedit" e1 "close" "")
    )
  • @Anthony: thank you for thinking with me. Not quite sure how to create such a custom command, I'll look in to that later today.

    @Michael: in my AutoCAD LT life I was already used to C+ENTER to close a polyline, in that way Bricscad hasn't changed much for me.

  • To see the startpoint of a polyline: select the polyline, then click the Geometry/Vertex property in the Properties panel. An X is placed at the start point.

  • @Louis Verdonck : thanks for that, but I'm looking for an option/way to show the start point while creating a polyline.

  • edited March 26

    @JHoogstede said:
    .... Not quite sure how to create such a custom command, ....

    Select the code I posted, copy it by Ctrl-C or Right-click, then use Notepad to paste it into a simple text file. Save that file somewhere, change its filename extension from .txt to .lsp, and then use Bricscad's Appload command to load it. After that, it'll work the same way as any command: you can type the command name, or use the Customize dialog box to put it in a tool or pull-down menu item or to create a shorter alias to type instead of the full command name.

    It's just the built-in Pline command, but with a small circle at the start point until the Pline command ends. You can easily alter it to suit yourself, i.e. different command name, larger or smaller circle, or something other than a circle, different color or lineweight, keeping the circle after the pline is drawn, etc.

    PlineStartPoint.png
    467 x 335 - 2K
  • edited March 26

    Instead of a circle, which has snap points, the marker could be a solid hatch:

    ; Draw a polyline while the start point is marked by a big dot
    (defun c:PlineStartPoint ( / p1 rad1 circ1)
    (setq p1 (getpoint " Start point of pline: "))
    (setq rad1 (/ (getvar "viewsize") 100))
    (command "circle" p1 rad1)
    (setq circ1 (entlast))
    (command "-hatch" "S" circ1 "" "P" "solid" "")
    (setq h1 (entlast))
    (command "chprop" h1 "" "layer" "Defpoints" "color" 30 "")
    (command "erase" circ1 "")
    (command "pline" p1)
    (while (> (getvar "cmdactive") 0) (command pause))
    (command "erase" h1 "") ;remove this line if you want to keep the dot
    ; or just end the command by Esc instead of Enter
    )
    lsp
    lsp
    PlineStartPoint2.lsp
    608B
  • Thank you Anthony!!!

  • @Louis Verdonck said:
    To see the startpoint of a polyline: select the polyline, then click the Geometry/Vertex property in the Properties panel. An X is placed at the start point.

    That's a very nice and very useful feature, and I never knew about it before. It's hard to keep track of all the great things this software can do. I should spend some time reading the Release Notes for the last 12 years.

Sign In or Register to comment.
Origami
Origami is the Japanese word for paper folding. ORI means to fold and KAMI means paper and involves the creation of paper forms usually entirely by folding.

Powered by VanillaForums, Designed by Steam